<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    version="1.0">

    <xsl:output method="xml" encoding="UTF-8"/>

<xsl:template match="/link">
    <oai_dc:dc 
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/oai_dc/
	http://www.openarchives.org/OAI/2.0/oai_dc.xsd">

	<xsl:apply-templates/>

    </oai_dc:dc>
</xsl:template>

<xsl:template match="title">
    <dc:title>
        <xsl:copy-of select="@xml:lang"/>
        <xsl:value-of select="."/>
    </dc:title>
</xsl:template>

<xsl:template match="description">
    <dc:description>
        <xsl:copy-of select="@xml:lang"/>
        <xsl:value-of select="."/>
    </dc:description>
</xsl:template>

<xsl:template match="identifier">
    <dc:identifier>
        <xsl:copy-of select="@xml:lang"/>
        <xsl:value-of select="."/>
    </dc:identifier>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
