<?php

header("Content-Type: text/html; charset=utf-8");
echo "Hejsa Anders.";

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="../css/record_handler.css"></link>
<title>Im Mr. Search</title>
</head>
<body>
<script language="JavaScript">parent.progressBarInit();</script>
<?

//include 'targets_sql.php';    // Definitions of Z39.50 targets using sql.
include 'targets.php';
require 'config.phpi';
require 'tkl_tools.php';
include 'globals.phpi';
require 'yaz_util.php';
require 'record.php';

// Set default values
$number = $_GET["number"]; 
$start = $_GET["start"];
$host = $_GET["host"];
$lang = $_GET["lang"];
$sort = $_GET["sort"];
$query = stripslashes($_GET["query"]);

// Set default values
if (!$number) $number = $default_hits;

if (!$start) $start = 1;
if (!$format) $format = "full";
if (!$host) $host = array();

$num_hosts = count($host);
$hits = array();
$pos = array();
$view_pos = array();
$host_done = 0;

// Do it
$yopt = array();
$yopt['proxy'] = $z_proxy;
$yopt['persistent'] = FALSE;

$pos = array();

foreach ($host as $h) {
    $info = $targets[$h];
    $id[$h] = yaz_connect($info['identifier'],$yopt);
    $pos[$h] = 0;
    $hits[$h] = -1;
    if($id[$h]){
	yaz_syntax($id[$h],"USmarc");

	//yaz_ccl_conf($id[$h], $info["ccl_fields"]);
	yaz_ccl_conf($id[$h], $info["cclfield"]);

	if (!yaz_ccl_parse($id[$h],$query,&$cclresult)) {
	    die ("CCL error!<br/>");
	} else {
	    $mquery = "@attr 1=1016 " . $cclresult["rpn"];
	    yaz_search($id[$h],"rpn",$mquery);
	}
    } else
	print "Failed to create endpoint for $h (" . $info['identifier'] . ")<br />\n";
    
}

$opt["timeout"] = $z_search_timeout;
$opt["event"] = TRUE;
$res = yaz_wait($opt);

while ($res) {
    $tmp_h = 0;
    foreach ($host as $h) {
	if ($id[$h] == $res) {
	    $tmp_h = $h;
	    break;
	}
    }
    $info = $targets[$tmp_h];
    if ($opt["eventcode"] <= 7){
	switch ($opt["eventcode"]) {        			
	case 4:
	    $host_done++;
	    $procent = round($host_done/count($host)*100);
	    print "<script language=\"JavaScript\">parent.updateHostStatus(\"".$info['nick']."\",\"error\",\"<p>Error: Timeout</p>\")</script>";
	    print "<script language=\"JavaScript\">parent.updateHostHits(\"".$info['nick']."\",\"-\");</script>";
	    print "<script language=\"JavaScript\">parent.updateProcent(\"".$num_hosts."\",".$procent.");</script>";
	    
	    flush();
	    break;
	case 5:
	    $host_done++;
	    $procent = round($host_done/count($host)*100);
	    print "<script language=\"JavaScript\">parent.updateHostStatus(\"".$info['nick']."\",\"error\",\"<p>Error: ".$error."</p>\")</script>";
	    print "<script language=\"JavaScript\">parent.updateHostHits(\"".$info['nick']."\",\"-\");</script>";
	    print "<script language=\"JavaScript\">parent.updateProcent(\"".$num_hosts."\",".$procent.");</script>";
	    flush();
	    break;				
	}
	
	$res = yaz_wait($opt);
	continue;	
    }
    if ($opt["eventcode"] == 9) {
	$host_done++;
	$procent = round($host_done/count($host)*100);
	
	if (($error = yaz_error($id[$tmp_h]))){
	    //print "DB ".$h." : Error<br />\n";
	    print "<script language=\"JavaScript\">parent.updateHostStatus(\"".$info['nick']."\",\"error\",\"<p>Error: ".$error."</p>\")</script>";
	    print "<script language=\"JavaScript\">parent.updateHostHits(\"".$info['nick']."\",\"-\");</script>";
	    print "<script language=\"JavaScript\">parent.updateProcent(\"".$num_hosts."\",".$procent.");</script>";
	} else {
	    $hits[$info['nick']] = yaz_hits($id[$tmp_h]);
	    print "<script language=\"JavaScript\">parent.updateHostStatus(\"".$info['nick']."\",\"done\",\"\")</script>";
	    print "<script language=\"JavaScript\">parent.updateHostHits(\"".$info['nick']."\",\"".$hits[$info['nick']]."\");</script>";
	    print "<script language=\"JavaScript\">parent.updateProcent(\"".$num_hosts."\",".$procent.");</script>";
	    
	    yaz_close($id[$tmp_h]);
	    $id[$tmp_h] = 0;
	    if($show_control != 1){
		print "<script language=\"JavaScript\">parent.showRecord(\"$tmp_h\",\"".$info['nick']."\",\"".$info['title']."\",\"".addslashes($query)."\");</script>";
		$show_control = 1;
	    }
	}
	flush();
	$res = yaz_wait($opt);
	continue;
    }
    
    $pos[$h]++;  
    $p = $pos[$h];
    
    
    if($p >= 10 || $p >= $hits[$info['nick']]){
	
    }
    
    flush();
    $res = yaz_wait($opt);
}


foreach ($host as $h) {
    $info = $targets[$h];
    if (is_resource($id[$h])) {
	if (($error = yaz_error($id[$h]))){
	    print "<script language=\"JavaScript\">parent.updateHostStatus(\"".$info['nick']."\",\"error\",\"<p>Error: ".$error."</p>\")</script>";
	    print "<script language=\"JavaScript\">parent.updateHostHits(\"".$info['nick']."\",\"-\");</script>";
	    print "<div class=\"error\" id=\"error_".$info['nick']."\"><p>Error: $error</p></div>";
	}
    }
}
print "<script language=\"JavaScript\">parent.updateProcent(\"".$num_hosts."\",100);</script>";		

?>

</body>
</html>
