<?

//include 'targets_sql.php';    // Definitions of Z39.50 targets using sql.
include 'targets.php';    // Definitions of Z39.50 targets using sql.
require 'config.phpi';
require 'tkl_tools.php';
require 'globals.phpi';
require 'yaz_util.php';
require 'record.php';
require 'util.phpi';      // Utility file
require '../lang/lang.php';      // Text strings in the supported languages

// Set default values
$number = $_GET["number"]; 
$start = $_GET["start"];
$host = $_GET["host"];
$lang = $_GET["lang"];
$sort = $_GET["sort"];
$query = stripslashes($_GET["query"]);

if (!$number) $number = $default_hits;
if (!$start || $start <= 0) $start = 1;		
if (!is_array($host)) $host = array();

$num_hosts = count($host);
$hits = array();
$pos = array();
$view_pos = array();
$sort_array = array();
$host_done = 0;

$myurl = $_SERVER["PHP_SELF"];
$myurl .= "?host[]=".$host[0]."&query=" . urlencode($query);

function  print_record($h,$p) {	
    global $id,$host,$res,$query,$start;
    
    $res = yaz_srecord($id[$h],$p,"structure");
    
    $record = new MARC_record($res);
    
    $titl = $record->felements('/245/*/a');
    $auth = $record->felements('/100/*/h');
    $descr = $record->felements('/504/*/a');
    $date = $record->felements('/260/*/c');
    //$isbn= $record->felements('/021/*/a');
    
    print "<div class=\"record\" id=\"$p:$h\" host=\"".$host[$h]."\" title=\"". strtolower($titl) ."\" date=\"$date\">\n<p>";
    print "<tr><td style=\"width: 24px;\"><a href=\"#\" class=\"item\">";
    print "<img src=\"gfx/icon_txt.gif\" style=\"vertical-align: middle; border: 0px;\" width=\"16\" height=\"16\" alt=\"MD\" /></a></td>";
    print "<td style=\"width: 330px;\"><a href=\"php/full.php?host[]=".$host[0]."&query=" . urlencode($query) . "&number=1&start=".$p."\" TARGET=\"framedata\" class=\"item\">&nbsp;&nbsp;$titl&nbsp;-&nbsp;$date</a>";
    print "</td></tr></p></div>\n";
}

function add_to_sort($h,$p){
    global $sort_array, $id,$host,$res;
    
    $res = yaz_srecord($id[$h],$p,"structure");
    
    $record = new MARC_record($res);
    
    $titl = $record->felements('/245/*/a');
    $date = $record->felements('/260/*/c');
    
    $sort_array[$p] = array('titl' => $titl,'date' => $date);
    
}

function cmp_titl ($a, $b)
{
    return strcasecmp($a["titl"], $b["titl"]);
}
function cmp_date ($a, $b)
{
    return strcasecmp($a["date"], $b["date"]);
}
function sort_record(){
    global $sort, $sort_array;
    
    if($sort == "title") uasort($sort_array, "cmp_titl");
    elseif ($sort == "date") uasort($sort_array, "cmp_date");
    
    while (list ($key, $value) = each ($sort_array)) {
	//echo "\$sort_array[$key]: " . $value["titl"] . "\n";
	print_record(0,$key);
    }
}

header("Content-Type: text/html; charset=utf-8");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link href="../css/styles.css" rel="stylesheet" type="text/css" media="screen, all" />
<link rel="stylesheet" type="text/css" href="../css/record_handler.css"></link>
<title>Im Mr. data, for your service</title>
<script language="javascript" type="text/javascript" >
var interFrameCallTry = 0;
var interFrameCallInterval = 1;
var interFrameCallQuit = 1;
function interFrameCall(frameRefString, funcNameString) {
	if (interFrameCallTry >= interFrameCallQuit) return;
	
	if (eval(frameRefString) && eval(frameRefString + '.' + funcNameString)) {
		var funcCall = frameRefString + '.' + funcNameString;
		alert(funcCall);
		eval(funcCall);
		interFrameCallTry = 2;
	}else if (interFrameCallTry < interFrameCallQuit) {
		setTimeout("interFrameCall('" +frameRefString.toString()+"',\""+ funcNameString.toString()+"\")", 1000 * interFrameCallInterval);
		interFrameCallTry++;
	}
}	
</script>
</head>
<body onload="interFrameCall('top.framegui','incoming(\'<? echo $host[0]; ?>\')');">

<?
// Do it
$pos = array();

$yopt = array();
$yopt['proxy'] = $z_proxy;
//$yopt['charset'] = 'UTF-8';

$i = 0;
foreach ($host as $h) {
    $info = $targets[$h];
    //for ($i = 0; $i < $num_hosts; $i++) {
    $id[$i] = yaz_connect($info['identifier'],$yopt);
    $pos[$i] = 0;
    $hits[$i] = -1;
    if($id[$i]){
	yaz_element($id[$i],"F");
	//yaz_syntax($id[$i],"USmarc");
	yaz_syntax($id[$i], $info["syntax"]);
	yaz_range($id[$i], $start, $number);
	
	yaz_ccl_conf($id[$i], $info["cclfield"]);
	
	if (!yaz_ccl_parse($id[$i],$query,&$cclresult)) {
	    ;
	} else {
	    $mquery = "@attr 1=1016 " . $cclresult["rpn"];
	    yaz_search($id[$i],"rpn",$mquery);
	}
    } else
	echo "<div class=\"error\" id=\"error".$h."\">Error: Failed to create endpoint for $h (" . $thistarget['identifier'] . ")</div>";
    
    $i++;
}
		
$opt["timeout"] = $z_record_timeout;
$res = yaz_wait($opt);
$error = yaz_error($id[0]);
 $hits = yaz_hits($id[0]);
if (!empty($error)) {
    echo "<div class=\"error\" id=\"error".$host[0]."\">Error: $error</div>";
} else if($sort) {
    for ($p = $start; $p <= ($number+$start-1); $p++)
    {
	if($p <= $hits) add_to_sort(0,$p);
    }
    sort_record();
} else {
    for ($p = $start; $p <= ($number+$start-1); $p++)
    {
	if($p <= $hits) $rec = print_record(0,$p);
    }
}

echo "<div class=\"msg\" id=\"header\">";
echo "<a href=\"#\" class=\"big\">". $targets[$host[0]]["title"] ."</a>";
echo "<br /><br />Results ";
if($hits > 0) {
    if(($number+$start-1) > $hits)
	$show_num = $hits;
    else
	$show_num = ($start+$number-1);
    echo "$start - $show_num of $hits";
    if (0)
    if($hits <= $record_sort_max){
	echo "</b>&nbsp;&nbsp;&nbsp;&nbsp;Load all records from server and sort by ";
	echo '<a href="'.$myurl.'&number='.$hits.'&start=1&sort=title" TARGET="framedata">Title</a>,&nbsp;';
	echo '<a href="'.$myurl.'&number='.$hits.'&start=1&sort=date" TARGET="framedata">Date</a>';
    }

}
echo "<br /><br /></div>";

// dummy record to js.
if($hits == 0){
echo "<div class=\"error\" id=\"error".$h."\">&nbsp;&nbsp;No Hits</div>";
}

echo "<div class=\"msg\" id=\"pos_control\" number=\"$number\" start=\"$start\">";
if($hits > ($number+$start-1)) {
    if($start > 1){
	// back..
	$prev = $start - $number;
	if ($prev < 1) $prev = 1;
	echo '<img src="gfx/arrow_orange_left.gif" style="vertical-align: middle; border: 0px;" width="11" height="11" alt="'.trans_text(5).'">&nbsp;&nbsp;<a href="'.$myurl.'&start='.$prev.'" TARGET="framedata">'.trans_text(5).'</a>   |   ';
    }
    // next page  url+start=($number+$start)
    echo ' <a href="'.$myurl.'&number='.$number.'&start='.($number+$start).'" TARGET="framedata">'.trans_text(4).'</a>&nbsp;&nbsp;';
    echo '<img src="gfx/arrow_orange_right.gif" style="vertical-align: middle; border: 0px;" width="11" height="11" alt="'.trans_text(4).'">';
} else if ($start >= $number) {
    //back only..
    echo '<img src="gfx/arrow_orange_left.gif" style="vertical-align: middle; border: 0px;" width="11" height="11" alt="'.trans_text(5).'">&nbsp;&nbsp;<a href="'.$myurl.'&number='.$number.'&start='.($start-$number).'" TARGET="framedata">'.trans_text(5).'</a>';
}
echo "</div>";

?>
    </body>
</html>

