<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

  <xsl:output method="html" encoding="UTF-8"/>

  <xsl:template name="target-entry">
    <xsl:param name="entry"/>
    <tr>
      <td>
	<xsl:choose>
	  <xsl:when test="$entry/strength &gt; 3">
	    <input type="checkbox" name="host[]" value="{@id}" checked="1"/>
	  </xsl:when>
	  <xsl:otherwise>
	    <input type="checkbox" name="host[]" value="{@id}"/>
	  </xsl:otherwise>
	</xsl:choose>
	<a href="{$root}/targets/targetinfo.tkl?host[]={$entry/nick}" >
	  <xsl:value-of select="$entry/title"/>
	</a>
      </td>
    </tr>
  </xsl:template>
  
  <xsl:template name="targets-menu">
    <tr>
      <td valign="top">
	  <xsl:variable name="mylist" select="$targets_xml/targets/target"/>
	  <xsl:if test="not($mylist)">
	    <tr><td>(No libraries)</td></tr>
	  </xsl:if>
	  <xsl:for-each select="$mylist">
	    <xsl:call-template name="target-entry">
	      <xsl:with-param name="entry" select="."/>
	    </xsl:call-template>
	  </xsl:for-each>
      </td>
      
    </tr>
  </xsl:template>

</xsl:stylesheet>
