<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    xmlns:oai_def_portal="http://purl.org/def/def/oai_def_portal/1.0/" 
    version="1.0">

    <xsl:output method="xml" encoding="UTF-8"/>

<xsl:template match="/link">
    <oai_def_portal:portal_record
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://purl.org/def/def/oai_def_portal/1.0/
	  http://www.technomat.hu/def/oai_def_portal/1.0/oai_def_portal.xsd">

	<xsl:apply-templates/>

    </oai_def_portal:portal_record>
</xsl:template>

<xsl:template match="title">
    <dc:title>
        <xsl:attribute name="lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
        <xsl:value-of select="."/>
    </dc:title>
</xsl:template>

<xsl:template match="description">
    <dc:description>
        <xsl:attribute name="lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
        <xsl:value-of select="."/>
    </dc:description>
</xsl:template>

<xsl:template match="identifier">
    <dc:identifier scheme="URL">
        <xsl:value-of select="."/>
    </dc:identifier>
</xsl:template>

<xsl:template match="type">
    <dc:type scheme="DEFType"><xsl:value-of select="."/></dc:type>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
