/*
/////////////
// Class: Record Handler
*/


function id_sort(a, b) {
	return (a[0] == b[0]) ? 0 : (a[0] > b[0]) ? 1 : -1;
}
function host_sort(a, b) {
	return (a[1] == b[1]) ? 0 : (a[1] > b[1]) ? 1 : -1;
}
function title_sort(a, b) {
	return (a[2] == b[2]) ? 0 : (a[2] > b[2]) ? 1 : -1;
}
function date_sort(a, b) {
	return (a[3] == b[3]) ? 0 : (a[3] > b[3]) ? 1 : -1;
}

function RecordHandler(){
	this.rec_id;
	this.rec_index;
	this.rec_sorted;
	
	this.num = -1;
	this.start = 0;
	this.real_name = "";
	this.host_name = "";

	this.html_res_head = '<div id="res_box" style="position:absolute;width:400;left:175;top:120;background-color:white;"><ilayer width="100%"><layer width="100%">';
	this.html_res_head += '<table cellpadding="0" cellspacing="0" border="0" width="420"><tr><td style="height: 15px;" align="top"></td></tr>';
	this.html_res_head += '<tr><td style="width: 15px;" align="left"></td><td style="text-align:left;"><br />';
	
	this.html_res_fot = '</td></tr></table></layer></ilayer></div>';
	
}
RecordHandler.prototype.loadRecordsByHost = function(hostname) {
	this.host_name = hostname;
	this.hits = hostHits[hostname];

	var rec_s = top.framedata.document.getElementsByTagName("DIV");
	
	this.rec_id =  new Array();
	for (i=0;i<rec_s.length;i++) 
    { 
    	record = rec_s[i]; 
    	if (record.nodeName == "DIV" && record.className == "record") {
    		if(record.getAttribute("host") == hostname)
    			this.rec_id[this.rec_id.length] = record.id;
    	} 
    }  
	this.processRecord();
}
    
RecordHandler.prototype.processRecord = function() {
  this.rec_index = new Array();
  for (n=0;n<this.rec_id.length;n++) {
    var obj = top.framedata.document.getElementById(this.rec_id[n]);
    this.rec_index[n] = new Array();
    this.rec_index[n][0] = obj.id;
	this.rec_index[n][1] = obj.getAttribute("host");
    this.rec_index[n][2] = obj.getAttribute("title");
    this.rec_index[n][3] = obj.getAttribute("date");
  } 
}
 
RecordHandler.prototype.sortRecord = function(sortby) {

	if(sortby == "host") this.rec_sorted = this.rec_index.sort(host_sort);
	else if (sortby == "title") this.rec_sorted = this.rec_index.sort(title_sort);
	else if (sortby == "mydate") this.rec_sorted = this.rec_index.sort(date_sort);

	this.printRecord();
}

RecordHandler.prototype.printRecord = function(){
	var pos_control_obj = top.framedata.document.getElementById("pos_control");
	//this.num = Number(pos_control_obj.getAttribute("number"));
	this.start = Number(pos_control_obj.getAttribute("start"));
	
	hostShow[this.host_name] = this.start;
	
	if (this.rec_index.length != 0) {
		doneHtml = this.html_res_head;
		var header = top.framedata.document.getElementById("header");
		if(header) {
			doneHtml += header.innerHTML;	
		}
		doneHtml += '<table cellpadding="0" cellspacing="0" border="0">';
		for (n=0;n<this.rec_index.length;n++) {
  		  	var obj = top.framedata.document.getElementById(this.rec_index[n][0]);
			doneHtml += obj.innerHTML;
		}
		
		doneHtml += '</table><br />';
		
		doneHtml += pos_control_obj.innerHTML;
		doneHtml += this.html_res_fot;
		
	} else {
		doneHtml = this.html_res_head;
		doneHtml += '<a href="#" class="big">' + this.real_name + '</a>';
		var obj = top.framedata.document.getElementById("error"+this.host_name);
		doneHtml += '<p>' + obj.innerHTML+ '</p>';	
		doneHtml += this.html_res_fot;
	}
	var res = document.getElementById("res");
	res.innerHTML = doneHtml;
	res.style.display ="block";	
}
RecordHandler.prototype.setPrintRange = function(start,num){
	this.num = num;
	this.start = start;
}


RecordHandler.prototype.printError = function(hostname,realName){
	
	var myHtml = hostError[hostname];
	
	doneHtml = this.html_res_head;
	doneHtml += '<a href="#" class="big">' + realName + '</a>';
	doneHtml += '</a><br /><br />';
	doneHtml += myHtml;
	doneHtml += this.html_res_fot;
	var res = document.getElementById("res");
	res.innerHTML = doneHtml;
	res.style.display ="block";	

}
RecordHandler.prototype.printLoanding = function(hostname,realName){
	
	doneHtml = this.html_res_head;
	doneHtml += '<a href="#" class="big">' + realName + '</a>';
	doneHtml += '</a><br /><br />';
	doneHtml += 'This host is Loading...';
	doneHtml += this.html_res_fot;
	var res = document.getElementById("res");
	res.innerHTML = doneHtml;
	res.style.display ="block";	
}
RecordHandler.prototype.printLoandingRecords = function(hostname,realName){
	this.real_name = realName;
	
	doneHtml = this.html_res_head;
	doneHtml += '<a href="#" class="big">' + this.real_name + '</a>';
	doneHtml += '</a><br /><br />';
	doneHtml += 'Loading records...';
	doneHtml += this.html_res_fot;
	var res = document.getElementById("res");
	res.innerHTML = doneHtml;
	res.style.display ="block";	
}



// load the class as r
r = new RecordHandler();
