<?

    include 'targets_sql.php';    // Definitions of Z39.50 targets using sql.
    require 'yaz_util.php';
    require 'record.php';
    require 'config.phpi';      // Config file


    // Set default values
    if (!$number)
		$number = $default_hits;
    if (!$start)
		$start = 1;
    if (!$host)
		$host = array();

	$num_hosts = count($host);
	$hits = array();
	$pos = array();
	$view_pos = array();
	$host_done = 0;

$myurl = $_SERVER["PHP_SELF"];
$myurl .= "?host[]=".$host[0]."&query=$query&number=$number";


function  print_MARC_record($h,$p) {
		global $id,$host,$res,$query,$start;
		$res = yaz_srecord($id[$h],$p,"render");
		$res = str_replace("\r\n", "<br>\n", $res);
		$res = str_replace("\r", "<br>\n", $res);
        $res = str_replace("\n", "<br>\n", $res);
        print "<table>";
		print "    <tr>";
		print "         <td style=\"width: 24px;\">&nbsp;</td>";
		print "        <td style=\"width: 550px;\">$res</td>";
		print "        </tr>";
		print "</table>\n";
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link href="../css/styles.css" rel="stylesheet" type="text/css" media="screen, all" />
	    <link rel="stylesheet" type="text/css" href="../css/record_handler.css"></link>
        <title>MARC display</title>
    </head>
    <body>
        <h1>MARC display</h1>

<?
    // Do it
 		$pos = array();

 		$yopt = array();
 		$yopt['proxy'] = $z_proxy;

 		$i = 0;
 		foreach ($host as $h) {
    		$info = $targets[$h];
		//for ($i = 0; $i < $num_hosts; $i++) {
			$id[$i] = yaz_connect($info['identifier'],$yopt);
            $pos[$i] = 0;
            $hits[$i] = -1;
            if($id[$i]){
            	yaz_element($id[$i],"F");
				yaz_syntax($id[$i],"USmarc");
				yaz_range($id[$i], $start, $number);
				$mquery = "@attr 1=1016 " . $query;
				yaz_search($id[$i],"rpn",$mquery);
			} else
				print "Failed to create endpoint for $h (" . $thistarget['identifier'] . ")<br />\n";

			$i++;
		}

		$opt["timeout"] = 15;
		//$opt["event"] = TRUE;
		$res = yaz_wait($opt);

			$error = yaz_error($id[0]);
       		 if (!empty($error)) {
            	    echo "<div class=\"error\" id=\"\">Error: $error</div>";
        	} else {
                $hits = yaz_hits($id[0]);
				for ($p = $start; $p <= ($number+$start-1); $p++)
            	{
            		if($p <= $hits) $rec = print_MARC_record(0,$p);
				}
			}

echo "<div class=\"msg\" id=\"pos_control\" number=\"$number\" start=\"$start\">";
if($hits > ($number+$start-1)) {
	if($start > 1){
		// back..
		echo '<img src="/lot/root/gfx/arrow_orange_left.gif" style="vertical-align: middle; border: 0px;" width="11" height="11" alt=" "><a href="'.$myurl.'&start='.($start-$number).'" TARGET="framedata">Back</a>   |   ';
	}
	// next page  url+start=($number+$start)
	echo '<a href="'.$myurl.'&start='.($number+$start).'" TARGET="framedata">Next</a>';
	echo '<img src="/lot/root/gfx/arrow_orange_right.gif" style="vertical-align: middle; border: 0px;" width="11" height="11" alt=" ">';
} else if ($start >= $number) {
	//back only..
	echo '<img src="/lot/root/gfx/arrow_orange_left.gif" style="vertical-align: middle; border: 0px;" width="11" height="11" alt=" "><a href="'.$myurl.'&start='.($start-$number).'" TARGET="framedata">Back</a>';
}
echo "</div>";


?>
<br><br>
<a HREF="javascript:window.close()">Close window</a>
<br><br>
    </body>
</html>
